/**
 * Created by IntelliJ IDEA.
 * User: m09aaa
 * Date: 30.09.2009
 * Time: 17:27:57
 * To change this template use File | Settings | File Templates.
 */

   import java.util.*;
  import java.io.*;
public class XD {
         public static void main ( String[] args ) throws Exception {
        Scanner s=new Scanner (new File("ratio.in"));
        double a=s.nextInt();
        double b=s.nextInt();

       PrintWriter p=new PrintWriter (new File("ratio.out"));
        if (b==0) {p.println("V predyduschej zadache uzhe pisali, chto na nol' delit' nel'zya!!!");
        } else {
            double c=a/b;
            p.print(c);}
        p.close();

         }}